#!/bin/python
import RPi.GPIO as GPIO
import time
import os

gpio_pin_number=21
GPIO.setmode(GPIO.BCM)
GPIO.setup(gpio_pin_number, GPIO.IN, pull_up_down=GPIO.PUD_UP)

# other pins used somewhere else
gpio_other_pin=10
GPIO.setup(gpio_other_pin, GPIO.IN, pull_up_down=GPIO.PUD_UP)

while True:
   time.sleep( 2)
   if ( not GPIO.input( gpio_pin_number) and GPIO.input( gpio_other_pin)):
#               print("Pin is LOW")
      os.system("sudo halt")

# clean up ports used
GPIO.cleanup()   


